XScreenSaver(1)

NAME
spiral - draws moving circular spiral patterns

SYNOPSIS
spiral [-display host:display.screen] [-foreground color] [-background color] [-window] [-root] [-mono] [-install] [-visual visual] [-ncolors integer] [-delay microseconds] [-count integer]

DESCRIPTION
The spiral program draws moving circular spiral patterns

OPTIONS
spiral accepts the following options:

-window
    Draw on a newly-created window. This is the default.

-root
    Draw on the root window.

-mono
    If on a color display, pretend we're on a monochrome display.

-install
    Install a private colormap for the window.

-visual visual
    Specify which visual to use. Legal values are the name of a visual class, or the id number (decimal or hex) of a specific visual.

-ncolors integer
    How many colors should be used (if possible). Default 64. The colors are chosen randomly.

-count integer
    Default 40.

-cycles integer
    Default 350.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

SEE ALSO
X(1), xscreensaver(1), xlock(1)

COPYRIGHT
Copyright © 1994 by Darrick Brown. Permission to use, copy, modify, and distribute this software and its documentation for any purpose and without fee is hereby granted, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation.

AUTHOR
Darrick Brown, 1994. Improved by Peter Schmitzberger <schmitz@coma.sbg.ac.at>, 24-Jul-95. Ability to run standalone or with xscreensaver added by Jamie Zawinski <jwz@jwz.org>, 10-May-97.